Skip to main content
GET
/
api
/
activity
Get activity feed
curl --request GET \
  --url https://operator.io/api/activity \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "instanceId": "<string>",
      "instanceName": "<string>",
      "avatarUrl": "<string>",
      "label": "<string>",
      "kind": "<string>",
      "timestamp": "<string>",
      "displayText": "<string>",
      "raw": "<string>"
    }
  ],
  "cursors": {},
  "instances": [
    {
      "id": "<string>",
      "name": "<string>",
      "avatarUrl": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key (ck_live_...). Create one in Settings > API Keys.

Query Parameters

cursors
string

Base64-encoded JSON object mapping instance IDs to line cursors. Pass the cursors value from a previous response to get only new events.

Response

200 - application/json

Activity events sorted by timestamp.

events
object[]
cursors
object

Pass back as the cursors query param on the next poll.

instances
object[]